Get channels grouped by contact name
    • Dark
      Light
    • PDF

    Get channels grouped by contact name

    • Dark
      Light
    • PDF

    Article summary

    Get
    /api/v1/omnichannel/contacts.channels

    Get channels grouped by contact name. Permission required: view-livechat-contact.

    Changelog

    VersionDescription
    6.1.0Added
    Header parameters
    X-Auth-Token
    stringRequired

    The authToken of the authenticated user.

    ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
    X-User-Id
    stringRequired

    The userId of the authenticated user.

    ExamplerbAXPnMktTFbNpwtJ
    Query parameters
    contactId
    stringRequired

    The contact's ID.

    Example673653b997f0fbcd657f0ebf
    Responses
    200

    OK

    Success Example
    {
      "channels": [
        {
          "name": "widget",
          "visitor": {
            "visitorId": "234567987655weygcbg",
            "source": {
              "type": "widget"
            }
          },
          "blocked": false,
          "verified": true,
          "details": {
            "type": "widget",
            "destination": "example.com"
          },
          "lastChat": {
            "_id": "sdfgjhgfdfeG",
            "ts": "2024-11-22T14:53:36.500Z"
          },
          "field": "email",
          "value": "[email protected]",
          "verifiedAt": "2024-11-22T14:55:21.354Z"
        }
      ],
      "success": true
    }
    Expand All
    object
    channels
    Array of object
    object
    name
    string
    visitor
    object
    visitorId
    string
    source
    object
    type
    string
    blocked
    boolean
    verified
    boolean
    details
    object
    type
    string
    destination
    string
    lastChat
    object
    _id
    string
    ts
    string
    field
    string
    value
    string
    verifiedAt
    string
    success
    boolean
    400

    Bad Request

    Bad Request Example
    {
      "success": false,
      "error": "must have required property 'contactId' [invalid-params]",
      "errorType": "invalid-params"
    }
    object
    success
    boolean
    error
    string
    errorType
    string
    401

    Unauthorized

    Unauthorized Example
    {
      "status": "error",
      "message": "You must be logged in to do this."
    }
    object
    status
    string
    message
    string

    Was this article helpful?

    Changing your password will log you out immediately. Use the new password to log back in.
    First name must have atleast 2 characters. Numbers and special characters are not allowed.
    Last name must have atleast 1 characters. Numbers and special characters are not allowed.
    Enter a valid email
    Enter a valid password
    Your profile has been successfully updated.